#import statements
import os, glob
import arcpy
print("ArcPy imported")

#Set Path and Variables
map_path = r'D:\UC_Publishing_Demo\Maps\\'
svr_con = r'D:\UC_Publishing_Demo\Maps\LocalServer.ags'

#Find maps in folder
map_list = glob.glob(map_path + "*.mxd")
print("Total number of maps found: " + str(len(map_list)))

#Reference data using Data Store
arcpy.AddDataStoreItem(svr_con, "FOLDER", "SharedFolder",
                       "D:\\UC_Publishing_Demo")

#Loop through each map in list
for map in map_list:
	print("----------------------------------")
	
	#Set Variables
	mxd = arcpy.mapping.MapDocument(map)
	service_name = os.path.basename(map)[:-4]
	sddraft = map_path + service_name + ".sddraft"
	sd = map_path + service_name + ".sd"

	#Create Service Definition Draft
	analysis = arcpy.mapping.CreateMapSDDraft(mxd, sddraft, service_name, 
						"ARCGIS_SERVER", svr_con)
	print("Publishing " + service_name)

	#Stage into a Service Definition file
	arcpy.StageService_server(sddraft, sd)
	print("Staged")

	#Upload and publish
	arcpy.UploadServiceDefinition_server(sd, svr_con)
	print("Published")
